Skip to main content

executionCreditTransactions

Returns transactions for a given execution credit

executionCreditTransactions(
executionCreditId: ID!
creditType: ExecutionCreditTypeEnum
pagination: BasePaginationInput! = [object Object]
): ExecutionCreditTransactionCollection!

Arguments

executionCreditTransactions.executionCreditId ● ID! non-null scalar

executionCreditTransactions.creditType ● ExecutionCreditTypeEnum enum

executionCreditTransactions.pagination ● BasePaginationInput! non-null input

Type

ExecutionCreditTransactionCollection object

ExecutionCreditTransactionCollection type

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the executionCredits query first and use data.executionCredits.collection[].id as executionCreditId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetExecutionCreditTransactions($executionCreditId: ID!) {\n executionCreditTransactions(executionCreditId: $executionCreditId) { collection { id createdAt credits } metadata { currentPage limitValue totalCount } }\n}","variables":{"executionCreditId":"<execution_credit_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.